? chan_sip_expires_case.diff
Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.814
diff -u -3 -p -r1.814 chan_sip.c
--- channels/chan_sip.c	23 Aug 2005 17:59:26 -0000	1.814
+++ channels/chan_sip.c	25 Aug 2005 01:31:33 -0000
@@ -5279,7 +5279,7 @@ static int parse_contact(struct sip_pvt 
 	struct sockaddr_in oldsin;
 
 	if (ast_strlen_zero(expires)) {	/* No expires header */
-		expires = strstr(get_header(req, "Contact"), "expires=");
+		expires = strcasestr(get_header(req, "Contact"), "expires=");
 		if (expires) {
 			if (sscanf(expires + 8, "%d;", &expiry) != 1)
 				expiry = default_expiry;
@@ -8702,7 +8702,7 @@ static int handle_response_register(stru
 				} else
 					break;
 			}
-			tmptmp = strstr(contact, "expires=");
+			tmptmp = strcasestr(contact, "expires=");
 			if (tmptmp) {
 				if (sscanf(tmptmp + 8, "%d;", &expires) != 1)
 					expires = 0;
